curl --request POST \
--url https://sandbox.hurdlr.com/rest/v5/reports/cashFlowStatementDirect \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: */*' \
--data '
{
"beginDate": "2023-01-01",
"endDate": "2023-12-31",
"emails": [
"<string>"
],
"ccEmails": [
"<string>"
],
"bccEmails": [
"<string>"
],
"date": "2023-01-01"
}
'import requests
url = "https://sandbox.hurdlr.com/rest/v5/reports/cashFlowStatementDirect"
payload = {
"beginDate": "2023-01-01",
"endDate": "2023-12-31",
"emails": ["<string>"],
"ccEmails": ["<string>"],
"bccEmails": ["<string>"],
"date": "2023-01-01"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "*/*"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': '*/*'},
body: JSON.stringify({
beginDate: '2023-01-01',
endDate: '2023-12-31',
emails: ['<string>'],
ccEmails: ['<string>'],
bccEmails: ['<string>'],
date: '2023-01-01'
})
};
fetch('https://sandbox.hurdlr.com/rest/v5/reports/cashFlowStatementDirect', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"errors": {
"fieldErrors": {},
"globalErrors": [
{
"errorMessage": "<string>"
}
]
},
"meta": {
"title": "<string>",
"businesses": [
"<string>"
],
"generatedOn": "2023-11-07T05:31:56Z",
"generatedBy": "<string>",
"footerLine": "<string>",
"params": {
"beginDate": "2023-01-01",
"endDate": "2023-12-31",
"emails": [
"<string>"
],
"ccEmails": [
"<string>"
],
"bccEmails": [
"<string>"
],
"date": "2023-01-01"
}
},
"html": "<string>",
"json": {
"data": [
{
"name": "<string>",
"period": {
"beginDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z"
},
"netCashChange": 123,
"beginCashBalance": 123,
"endCashBalance": 123,
"operatingActivities": {
"name": "<string>",
"total": 123,
"children": [
{
"accountNo": "<string>",
"name": "<string>",
"accountId": 123,
"total": 123
}
]
},
"investingActivities": {
"name": "<string>",
"total": 123,
"children": [
{
"accountNo": "<string>",
"name": "<string>",
"accountId": 123,
"total": 123
}
]
},
"financingActivities": {
"name": "<string>",
"total": 123,
"children": [
{
"accountNo": "<string>",
"name": "<string>",
"accountId": 123,
"total": 123
}
]
}
}
]
},
"url": "<string>"
}Cash Flow Statement (Direct)
Generate a Cash Flow Statement (Direct), using the specific parameters
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
Begin date for the report
"2023-01-01"
End date for the report
"2023-12-31"
Export type for the report
HTML, PDF, JSON, XLSX Override of the user's accountingMethod
CASH, ACCRUAL List of emails to which to send the report. Only valid for PDF and XLSX exportTypes.
List of emails to which to send the report. Only valid for PDF and XLSX exportTypes.
List of emails to be CC'ed on the report email. Only valid for PDF and XLSX exportTypes.
List of emails to be CC'ed on the report email. Only valid for PDF and XLSX exportTypes.
List of emails to be BCC'ed on the report email. Only valid for PDF and XLSX exportTypes.
List of emails to be BCC'ed on the report email. Only valid for PDF and XLSX exportTypes.
Date the report was generated on (displayed in the footer of the PDF report)
"2023-01-01"
Response
Successful operation
Result of the action performed
SUCCESS, FAILURE_VALIDATION_ERROR, FAILURE_NO_DATA, FAILURE_UNKNOWN_ERROR Error object containing details errors incurred, if any
Show child attributes
Show child attributes
Metadata associated with the report generated
Show child attributes
Show child attributes
HTML of the report
Show child attributes
Show child attributes
Url at which the downloadable report is located